
#ifndef APPVERSION_H
#define APPVERSION_H

#include "RIMAppVersion.h"

#define RIM_MAJORVERSION    2 //RIM_APP_MAJOR_VERSION
#define RIM_MINORVERSION    0 //RIM_APP_MINOR_VERSION
#define RIM_RELEASEVERSION  1 //RIM_APP_RELEASE_VERSION
#define RIM_BUILDNUMBER     0 //RIM_APP_BUILD_NUMBER

#define RIM_COMPANYNAME_STR    "Research In Motion Limited"
#define RIM_LEGALCOPYRIGHT_STR "\xa9 1997-2000 Research In Motion Limited"
#define RIM_PRODUCTNAME_STR    "BlackBerry Handheld Applications"

// Internal helper macros for quoting other macro values.
#define _RIM_STR(x) #x
#define RIM_STR(x)  _RIM_STR(x)

// String versions of the individual master version components
#define RIM_MAJORVERSION_STR    RIM_STR(RIM_MAJORVERSION)
#define RIM_MINORVERSION_STR    RIM_STR(RIM_MINORVERSION)
#define RIM_BUILDNUMBER_STR     RIM_STR(RIM_BUILDNUMBER)
#define RIM_RELEASEVERSION_STR  RIM_STR(RIM_RELEASEVERSION)

// Comma separated version of the full master version (for RC files)
#define RIM_FULLVERSION     RIM_MAJORVERSION,RIM_MINORVERSION,RIM_RELEASEVERSION,RIM_BUILDNUMBER

// String version of the full master version (mainly for RC files)
#define RIM_FULLVERSION_STR   RIM_STR(RIM_MAJORVERSION.RIM_MINORVERSION.RIM_RELEASEVERSION.RIM_BUILDNUMBER)

#define RIM_FILEVERSION     RIM_FULLVERSION
#define RIM_PRODUCTVERSION    RIM_FULLVERSION
#define RIM_FILEFLAGSMASK   0x3fL

#define RIM_PRODUCTVERSION_STR    RIM_FULLVERSION_STR 
#define RIM_FILEVERSION_STR     RIM_FULLVERSION_STR

#define MASTERBUILD
#define RIM_MASTERBUILD_STR        ""

#if defined(MASTERBUILD)

#define RIM_VERSIONSUFFIX_STR   RIM_MASTERBUILD_STR

#if defined(_DEBUG)

#define RIM_VERSION_EXTRA_STRINGS  \
  VALUE "Build Notes", "Debug Build\0"
#define RIM_FILEFLAGS VS_FF_DEBUG

#else // not _DEBUG

#define RIM_FILEFLAGS 0

#endif 

#else // not MASTERBUILD

#define RIM_VERSIONSUFFIX_STR   " (Private Build)"

#if defined(_DEBUG)
#define RIM_VERSION_EXTRA_STRINGS  \
  VALUE "PrivateBuild",  "Internal Debug Build\0"
#define RIM_FILEFLAGS VS_FF_DEBUG | VS_FF_PRERELEASE | VS_FF_PRIVATEBUILD
#else // not _DEBUG
#define RIM_VERSION_EXTRA_STRINGS  \
  VALUE "PrivateBuild",  "Internal Release Build\0"
#define RIM_FILEFLAGS VS_FF_PRERELEASE | VS_FF_PRIVATEBUILD
#endif

#endif // MASTERBUILD

#endif // APPVERSION_H
