
#ifndef OPTIONS_H
#define OPTIONS_H
/*
#ifndef ui_h_included
#include "Choice.h"
#include "UIEngine.h"       
#include "Screen.h"      
#endif
*/
#include "OptionsVersion.h"

#define FORMAT_SHORT              0
#define FORMAT_LONG               1 
#define MAX_OWNER_NAME_LEN        40
#define MAX_OWNER_INFORMATION_LEN 128

enum { OPTION_DEVICE, OPTION_NOTIFY, };

OptionsDllAccess int RegisterApplication(char *name, int major, int minor, int build);
OptionsDllAccess int RegisterOptions(int section, Choice *field);
OptionsDllAccess char *OptionsEntry(void (*func)(void), char *name);
OptionsDllAccess char const *AddOption(void(*func)(void), char const * name, void(*entry)(DWORD) = NULL);
OptionsDllAccess void RemoveOption(void(*func)(void), char const *name);
OptionsDllAccess void FormatDate(TIME *date, char *buffer, int form);
OptionsDllAccess void FormatTime(TIME *time, char *buffer, int form);
OptionsDllAccess void FormatDay(TIME *time, char *buffer, int form);
OptionsDllAccess bool OptionsIsDaylightSavingsEnabled(void);
OptionsDllAccess bool OptionsIsDaylightSavingsActive(void);
OptionsDllAccess int  OptionsGetCurrentTimeZone(void);
OptionsDllAccess bool OptionsSetCurrentTimeZone(char time_zone);
OptionsDllAccess void OptionsSetDaylightSavings(int state);
OptionsDllAccess void OptionsSetDaylightEnabled(int enabled);

const int USER_PASSWORD        =  0;
const int PASSWORD_USER_OK     =  1; 
const int PASSWORD_FAILED      =  0;
const int PASSWORD_ABORTED     = -1;
const int PASSWORD_ERASED      = -2;
const int HASH_PASSWORD_LENGTH = 20;

OptionsDllAccess int RegisterSecurity(void (*func)(void), char *message);
OptionsDllAccess void RegisterPasswordChange(void (*func)(unsigned char *hash, int length, int enable));
OptionsDllAccess int EnterSecurityPassword( UIEngine &ui, Screen &screen, int anchor, void (*callback)(MESSAGE &msg) = NULL, int one_try = 0, int allow_exit = 1);
OptionsDllAccess int GetPassword(unsigned char *hash, int *length);
OptionsDllAccess void DisplayAlarmFunction( int index );
OptionsDllAccess void NotifyUser(int tune = 0, int repetitions = -1, char const * const name = NULL);
OptionsDllAccess int GetOwnerName(char *buffer, int len);
OptionsDllAccess int GetOwnerInformation(char *buffer, int len);
OptionsDllAccess void OptionsSetDateTime(TIME *NewDateTime);
OptionsDllAccess BOOL OptionsRegisterTimeChangeCB(void (*callback)(int days,int secs));

#endif // OPTIONS_H
