
#ifndef _RIBBON_H_
#define _RIBBON_H_

#include "RibbonVersion.h"
#include "Rim.h"
#include "Pager.h"

RibbonDllAccess void RibbonRegisterApplication(const char * applicationName,
                const BitMap* bitmap, int applicationData, int position);
RibbonDllAccess void RibbonRegisterFunction(const char * applicationName,
                const BitMap* bitmapPtr, int applicationData, int position,
                void (*entry) (void), DWORD stacksize);
RibbonDllAccess void RibbonModifyApplication(const char * applicationName,
                const BitMap* bitmap, const char * const newApplicationName);
RibbonDllAccess void RibbonSetApplicationString(const char * const appName,
                const char * const string, const BitMap * const bitMapPtr, int priority);
RibbonDllAccess void RibbonSetNextApplication(const char * const nextAppName);
RibbonDllAccess void RibbonSetPrevApplication(const char * const prevAppName);
RibbonDllAccess const char *RibbonGetPrevApplication(void);
RibbonDllAccess void RibbonShowRibbon(void);
RibbonDllAccess void RibbonUnregisterApplication(const char *applicationName);
RibbonDllAccess const int RibbonAddBitmap(const char *applicationName, const BitMap* bitmap);
RibbonDllAccess const int RibbonSetBitmap(const char *applicationName, const int bitmapPosition);
RibbonDllAccess BOOL RibbonRemoveBitmap(const char * applicationName, const int bitmapPosition);

const int DEVICE_RIBBON          = 42;
const int RIBBON_GRAB_FOREGROUND = 1;
const int RIBBON_HOLSTER_LAUNCH  = 2;
const int RIBBON_RESORT          = 3;
const int RIBBON_DRAW_APPSTRINGS = 4;
const int RIBBON_DRAW_ICONS      = 5;

#endif // _RIBBON_H_
