
#ifndef RIBBON_VERSION_H_included
#define RIBBON_VERSION_H_included

#include "Pager.h"
#include "RIMVersion.h"

#include "RIMAppVersion.h"

#define RIBBON_NAME		Ribbon
#define RIBBON_VER_MAJOR	RIM_APP_MAJOR_VERSION
#define RIBBON_VER_MINOR	RIM_APP_MINOR_VERSION
#define RIBBON_VER_RELEASE	RIM_APP_RELEASE_VERSION
#define RIBBON_VER_BUILD	RIM_APP_BUILD_NUMBER

#define RIBBON_MIN_COMP_MAJOR	2
#define RIBBON_MIN_COMP_MINOR	0

#ifdef _RIBBON_

#pragma data_seg(".rimdep")
#pragma message("Defining VERSION...")

RIM_DEFINE_VERSION(RIBBON_NAME, \
				   RIBBON_VER_MAJOR, RIBBON_VER_MINOR, \
				   RIBBON_VER_RELEASE, RIBBON_VER_BUILD, \
				   RIBBON_MIN_COMP_MAJOR, RIBBON_MIN_COMP_MINOR)
/* TODO (BUT NOT REQUIRED)
          struct RIMVersion {
	const struct RIMVersion * thisRec; // Self-referential fingerprint.
	unsigned char	size;		// Size of this record (including name data)
	unsigned char	flags;		// Flags (reserved; must be 0x00)
	unsigned short	verMajor;	// Major version number of this module
	unsigned short	verMinor;	// Minor version number of this module
	unsigned short	verPatch;	// Patch version number of this module
	unsigned short	verBuild;	// Build number of this module
	unsigned short	minCompatMajor;	// Minimum binary compatible major version
	unsigned short	minCompatMinor;	// Minimum binary compatible minor version
	char			name[];		// This module's name.
};*/
#pragma data_seg()

#else  // _RIBBON_

#pragma data_seg(".rimdep")
#pragma message("Defining DEPENDENCY...")

//RIM_DEFINE_DEPENDENCY(RIBBON_NAME, RIBBON_MIN_COMP_MAJOR, RIBBON_MIN_COMP_MINOR)

/*struct RIMDependency {
	const struct RIMDependency * thisRec; // Self-referential fingerprint.
	unsigned char   size;		// Size of this record (including name data)
	unsigned char   flags;		// Flags (reserved: must be 0x01)
	unsigned short  verReqMajor;// Major version of module this depends on
	unsigned short  verReqMinor;// Minor version of module this depends on
	char			name[];		// Module that this record shows a dependency on
};*/
const __declspec(dllexport) struct RIMDependency Ribbon = {
 &Ribbon,
 sizeof(struct RIMVersion) + sizeof("Ribbon"),
 0x01, 2, 0, "Ribbon"
};

#pragma data_seg()

#endif  // _RIBBON_

#ifdef RibbonDllAccess
#undef RibbonDllAccess
#endif
#ifdef _RIBBON_
#define RibbonDllAccess DLLExport
#else
#define RibbonDllAccess DLLImport
#endif


#endif // RIBBON_VERSION_H_included

